### Function Macro

# GLib ascii_isgraph

#### Declaration

    #define g_ascii_isgraph (
      c
    )

#### Description

Determines whether a character is a printing character and not a space.

Unlike the standard C library `isgraph()` function, this only recognizes standard ASCII characters and ignores the locale, returning false for all non-ASCII characters. Also, unlike the standard library function, this takes a `char`, not an `int`, so don’t call it on `EOF`, but no need to cast to `guchar` before passing a possibly non-ASCII character in.

This function is not directly available to language bindings.

#### Parameters

`c`

  Type: `-`

  Any character.